> For the complete documentation index, see [llms.txt](https://developers.inevent.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.inevent.com/event-api/creating-events.md).

# Creating events

To create events you must have a **System scope** access token with full access to a company environment. You must have in hands the following query attributes: `tokenID` `companyID`, and the following body attributes: `name` and `nickname`.

* `name` is the Event name;
* `nickname` is the string that will be used in the browser URL to access the event;

#### Example

The endpoint that you should use is `company.event.bind` on RCP or `company/event/bind` on RESTful.

Here is how to create an event:

```sh
curl --request POST \
     --url 'https://api.inevent.com/?action=company.event.bind&companyID=YOUR_COMPANY_ID' \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/x-www-form-urlencoded' \
     --data name=This%20is%20a%20test%20event&nickname=my-test-event-1632854490
```

If you want to copy data from a previous event you can use the `siblingID` query attribute with the previous `eventID` as the value.

If you want to create an event based on a template you can use the `templateID` query attribute with the id of the template as the value.

If you want this event to be a template you can use the `isTemplate` query attribute with `1` as the value. Templates have limited functionality and its purpose is only to create the bare essentials for your events.

#### Response

Once you create the event, you will get a response similar to the following one:

JSON

```json
{
  "count": 1,
  "data": [{
    "eventID": "73565",
    "name": "This is a test event",
    "nickname": "my-test-event-1632854490",
    "emailAddress": "",
    "emailName": "",
    "emailDNS": "0",
    "emailReplyTo": "",
    "description": "",
    "background": "",
    "cover": "https://inevent.com/images/default/default_event.png",
    "coverVideo": "",
    "welcomeOverlay": "1",
    "activityLayout": "small",
    "fontFamily": "",
    "page": "",
    "contentPage": "",
    "ownerID": "",
    "creatorID": "1330",
    "dateCreated": "1632854490",
    "dateBegin": "1632840090",
    "dateEnd": "1634064090",
    "enrollmentBegin": "1616942490",
    "enrollmentEnd": "1660329690",
    "accessEnd": "1790606490",
    "quarter": "Q3",
    "eventDays": "14",
    "month": "September",
    "capacity": "0",
    "invites": "0",
    "guestsForMember": "1",
    "keywords": "",
    "timezone": "America/New_York",
    "currency": "USD",
    "latitude": "0",
    "longitude": "0",
    "spot": "",
    "placeID": "",
    "address": "",
    "city": "",
    "state": "",
    "fugleman": "",
    "ebEventID": "",
    "ticketURL": "",
    "language": "",
    "contentLanguage": "",
    "googleAnalytics": "",
    "googleTagManager": "",
    "facebookPixel": "",
    "linkedInPixel": "",
    "intercomTag": "",
    "website": "",
    "faq": "",
    "agreement": "",
    "facebook": "",
    "instagram": "",
    "twitter": "",
    "rss": "",
    "cname": "",
    "archived": "0",
    "visible": "1",
    "published": "1",
    "public": "1",
    "presential": "0",
    "budget": "0",
    "automaticEnrollment": "1",
    "sandbox": "0",
    "vlTemplate": "neo",
    "vlControlRoomLayout": "",
    "vlBackgroundIdle": "",
    "vlJoinBeforeStarts": "0",
    "vlJoinAfterEnds": "0",
    "vlNetworkingRouletteTimer": "00:00:00",
    "meetingStartTime": "8:00",
    "meetingEndTime": "20:00",
    "meetingDurationTime": "30",
    "accessCode": "0000",
    "wireless": "",
    "templateID": "",
    "companyID": "918",
    "hasTag": "0",
    "hasFeedback": "1",
    "hasPhoto": "0",
    "hasMaterial": "0",
    "hasSponsor": "0",
    "systemLevel": "8251",
    "companyLevel": "4",
    "personID": "1330",
    "role": "",
    "company": "",
    "level": "4",
    "approved": "1",
    "templateName": "",
    "templateColor": "",
    "isSponsor": "0",
    "placeName": "",
    "happeningNow": "1",
    "happeningAfter": "0",
    "peopleCount": "1"
  }]
}
```

The URL to access the event will then be the following:

* <https://inevent.com/en/YOUR_COMPANY_NICKNAME/my-test-event-163285449/>

Once the event is created, you can now manage it accessing the URL above or manage it entirely through the API.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.inevent.com/event-api/creating-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
